On Mon, Oct 17, 2016 at 02:54:51PM +0200, Uwe Kleine-König wrote:
> On Mon, Oct 17, 2016 at 12:48:37PM +0200, Clemens Gruber wrote:
> > What's also interesting to me is that Debian does not depend on
> > libxtables11, it is only recommended.
> Looking at iproute2 4.6.0-4, it build-depends on iptables-dev though. So
> maybe only the headers are needed, but not the library?!
> In the changelog there is:
> iproute (20121001-2) experimental; urgency=low
>   * Generate recommends for optional module dependencies
>     This makes the optional module dependency on libxtables more
>     visible, to hopefully get iproute rebuilt whenever libxtables bumps
>     soname.
>     Thanks to iptables maintainer for splitting libxtables9 into
>     a separate package in version
> Maybe this is also related?

Somewhat. The situation is like this:
iproute has plugins that are loaded at runtime with dlopen. Some of them
need libxtables. So unless these plugins are actually used libxtables is
not needed. So libxtables a optional _runtime_ dependency but to build a
working plugin its a required _buildtime_ dependency.

The current code is rather broken. It has some imported iptables headers
(from version 1.6.0), but those are useless because xtables-version.h is


Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |

ptxdist mailing list

Reply via email to